## ros-indigo-rviz-visual-tools 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rviz_visual_tools)

find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  eigen_conversions
  geometry_msgs
  graph_msgs
  roscpp
  rostest
  std_msgs
  tf_conversions
  trajectory_msgs
  visualization_msgs
  roslint
)

find_package(Eigen REQUIRED)
find_package(Boost REQUIRED thread system)

catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    eigen_conversions
    geometry_msgs
    visualization_msgs
    graph_msgs
    std_msgs
    tf_conversions
    trajectory_msgs
  INCLUDE_DIRS include
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

###########
## Build ##
###########

# Visualization Tools Library
add_library(${PROJECT_NAME}
  src/rviz_visual_tools.cpp
  src/tf_visual_tools.cpp
)

add_dependencies(${PROJECT_NAME} graph_msgs_generate_messages_cpp)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Demo executable
add_executable(rviz_visual_tools_demo src/rviz_visual_tools_demo.cpp)
target_link_libraries(rviz_visual_tools_demo
  ${catkin_LIBRARIES} ${PROJECT_NAME}
)

##########
## TEST ##
##########

if(CATKIN_ENABLE_TESTING)

  add_rostest_gtest(rvt_test launch/rvt_test.launch tests/rvt_test.cpp)
  target_link_libraries(rvt_test
    ${PROJECT_NAME}
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
  )

endif()

## Test for correct C++ source code
roslint_cpp()

#############
## Install ##
#############

# Install libraries
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install shared resources
install(DIRECTORY launch    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-rviz-visual-tools (2.2.1-1trusty) trusty; urgency=high

  * Latched publisher
  * publishAxisLabeled arguments
  * publishAxisLabeled arguments order
  * Remove TODO msg
  * Adds Publish Labeled Axis
  * Numbered colors so that they can be matched in OMPL
  * New publishLine() function variants
  * Psychedelic mode
  * Prevent publishing empty marker arrays
  * Improved warning and error correction
  * New publishSphere function
  * Hide debug message
  * Ability to set marker topic after constructor
  * Ability to force waiting for topic to connect
  * Added new posesEqual() function
  * Updated publishArrow() function
  * New publishPath function
  * New publishLine function
  * New publishCylinder that accepts two points
  * New publishText function
  * Removed redundant namespace names
  * New convertPointToPose function
  * README
  * Created much better demo, added new screenshot
  * Reduced output
  * Renamed line_marker_ to line_strip_marker_
  * Faster method for waiting for subscriber thread
  * Untested publishPath() modification
  * Fix to correctly use optional alpha color property
  * Change getColorScale to work from 0->1 instead of 0->100
  * Additional parameters to publishCuboid()
  * New color scale function for generated interpolated colors from RED->GREEN (1->100)
  * Contributors: Dave Coleman, Enrique Fernandez, Naveed Usmani

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 13 Jul 2016 17:00:00 -0000

ros-indigo-rviz-visual-tools (2.1.0-1trusty) trusty; urgency=high

  * Allow publishArrow functions to specify ID
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 08 Feb 2016 17:00:00 -0000

ros-indigo-rviz-visual-tools (2.0.3-1trusty) trusty; urgency=high

  * Renamed test to demo
  * Fix bug in random number generator
  * Noted a TODO
  * Documentation
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 09 Jan 2016 17:00:00 -0000

ros-indigo-rviz-visual-tools (2.0.2-1trusty) trusty; urgency=high

  * Formatting
  * Removed unused var
  * roslint fixes
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 26 Dec 2015 17:00:00 -0000

ros-indigo-rviz-visual-tools (2.0.1-1trusty) trusty; urgency=high

  * catkin lint cleanup
  * Updated travis badge
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 04 Dec 2015 17:00:00 -0000

ros-indigo-rviz-visual-tools (2.0.0-1trusty) trusty; urgency=high

  * Updated README
  * Add badges
  * Default true for enableBatchPublishing()
  * Renamed convertXYZRPY() to convertFromXYZRPY()
  * Changed roll pitch yall convention (fix)
  * Added preliminary unit tests
  * Hide include dependencies
  * New convertToXYZRPY function
  * Decrease wait time for topics to subscribe
  * New publishSphere and publishArrow functions
  * Added new thread safe pose conversion function
  * Auto format with clang
  * New publishSphere with frame_id function
  * New print transform functions
  * Fixed RPY error
  * New convert Affine3d to roll pitch yaw function
  * New tf_visual_tools functionality to help debug transforms
  * New parameter server isEnabled feature
  * Add id for wireframe cuboids
  * Namespaced publishWireframeCuboid
  * Helper function for publishAxisLabeled
  * New getBoolMap() function
  * New convertXYZRPY() function
  * Fix warnings
  * Fixed yellow
  * Fix internal publish bug
  * Check for empty parameter
  * New delayed publishing internal mode
  * added publishCuboid function for Eigen::Affine3d
  * New string vector param reading
  * added publishCuboid function for Eigen::Affine3d
  * Show whole param path
  * Added publish plane and cone
  * Renamed to publishAxisLabled()
  * New publishWireframeRectangle function
  * Fixed publishZArrow direction
  * New publishAxisWithLabel() function
  * Removed mute functionality
  * New publishWireframeRectangle() function
  * Improved memory reuse by utilizing member variables for conversion functions
  * Fixed ordering of functions in file
  * Added alpha values to fix planning scene visualization
  * Add WireframCuboid function to show oriented bounding boxes as computed ...
  * Made more function parameters passed by reference
  * Add color to wireframe
  * Add WireframCuboid function to show oriented bounding boxes as computed from PCL.
  * New generateRandomCuboid() function
  * Fixed formatting, added a PoseStamped version to publish[X|Y|Z]Arrow() functions
  * publishMesh() now has optional ID specification
  * Fixed generateRandomPose() bug
  * Added Eigen version of generateRandomPose()
  * changed floats to double in random pose struct, added publish block function to take pose
  * Updated rviz_visual_tools API
  * Deprecated publishRectangle() in favor of publishCuboid()
  * Added cyan and magenta
  * Added maintainer
  * Removed random pose bounds member variable in favor of using a funciton parameter
  * Added publish arrow functions
  * Added dark grey color
  * New publishLine function takes two Vector3's
  * added functionality to change bounds of random pose
  * New publishArrow function that allows stamped pose for arbitrary parent frames
  * added ArrayXXf to hold bounds on random pose
  * new publishLine function takes two Vector3's
  * Made yellow brighter
  * added marker array to rviz and modified generate random pose to give actual random pose
  * New publishArrow() functions
  * New batch publishing method - allows markers to be published in batches to reduce ROS messages being published
  * added method for displaying cuboids
  * added a clear overlay
  * New publishMesh function
  * Added Brown, Pink, and Lime Green colors
  * Copyright year
  * Contributors: Dave Coleman, Andy McEvoy, Jorge Cañardo Alastuey

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 01 Dec 2015 17:00:00 -0000

ros-indigo-rviz-visual-tools (1.5.0-1trusty) trusty; urgency=high

  * New publishLine function


=== debian/control ===
Source: ros-indigo-rviz-visual-tools
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-graph-msgs, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-rosunit, ros-indigo-std-msgs, ros-indigo-tf-conversions, ros-indigo-trajectory-msgs, ros-indigo-visualization-msgs
Homepage: https://github.com/davetcoleman/rviz_visual_tools
Standards-Version: 3.9.2

Package: ros-indigo-rviz-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-graph-msgs, ros-indigo-std-msgs, ros-indigo-tf-conversions, ros-indigo-trajectory-msgs, ros-indigo-visualization-msgs
Description: Helper functions for displaying and debugging data in Rviz via published markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rviz-visual-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
